﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Shared;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace TileViewItemSample
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window,INotifyPropertyChanged
    {
        private ObservableCollection<data> _datas;

        public ObservableCollection<data> Datas
        {
            get { return _datas; }
            set { _datas = value;
            raiseproperty("Datas");}

        }
        public Window1()
        {
            InitializeComponent();
            _datas = new ObservableCollection<data>();
            _datas.Add(new data() { View1 = new DataGridSample(), View2 = new DataGridSample2() });
            _datas.Add(new data() { View1 = new DataGridSample(), View2 = new DataGridSample2() });
            _datas.Add(new data() { View1 = new DataGridSample(), View2 = new DataGridSample2() });
            _datas.Add(new data() { View1 = new DataGridSample(), View2 = new DataGridSample2() });
            this.DataContext = this;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            
             _datas.Add(new data() { View1 = new DataGridSample(), View2 = new DataGridSample2() });
          
          
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            _datas.RemoveAt(0);
        }

        #region INotifyPropertyChanged Members

        public void raiseproperty(string name)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(name));
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        #endregion
    }

    public class data:INotifyPropertyChanged
    {
        private FrameworkElement _view1;
        public FrameworkElement View1 { get { return _view1; } set { _view1 = value; raiseproperty("View1"); } }
        private FrameworkElement _view2;
        public FrameworkElement View2 { get { return _view2; } set { _view2 = value; raiseproperty("View2"); } }

        #region INotifyPropertyChanged Members
        public void raiseproperty(string name)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(name));
            }
        }


        public event PropertyChangedEventHandler PropertyChanged;

        #endregion
    }
}
